# Задания

### Задание 1. Команды

0. Если у вас есть машина с графической оболочкой, в консоли перейдите в уровень запуска multi-user.target без перезагрузкпи, а затем обратно graphical.target.
1. Если у вас есть машина с графической оболочкой, перейдите в уровень запуска multi-user.target с перезагрузкой, а затем переключитесь в графическую оболочку обратно.
2. Выведите модуль, который активируется по-умолчанию systemctl get-default.
3. Выведите возможные состояния модулей командой systemctl --state=help.
4. Найдите в man странице какие типы модулей есть в systemd.
5. Выведите список установленных модулей.
6. Деактивируйте сервис timesyncd.
7. Перезагрузите сервис timesyncd.
8. Выведите список модулей в памяти.
9. Проверьте, что сервис timesyncd активирован.
10. Выведите список зависимых модулей для сервиса timesyncd.
11. Выведите список сокетов в памяти.
12. Выведите список таймеров в памяти.
13. Проверьте статус сервиса timesyncd.
14. Проверьте, что сервис timesyncd активен.
15. Выведите список свойств модуля.
16. Выведите уровень логирования для сервиса timesyncd.
17. Проверьте, что timesyncd не активирован.
18. Перезагрузите systemd командой systemctl daemon-reload.
19. Какие префиксы можно использовать при указании исполняемых файлов в файлах .service.


### Задание 2. Конфигурация сервиса

Сконфигурировать socks прокси сервис, который:

* вызывает команду 'ssh -N -D 0.0.0.0:80 localhost',
* запускается после network.target,
* всегда перезагружается при завершении, но не чаще, чем 1 раз в 5 секунд,
* запуск необходим при уровне multi-user.target.

Проверьте работу прокси сервиса из браузера с помощью плагина foxyproxy.

Страницы документации man:
  - systemctl
  - systemd
  - systemd.unit
  - systemd.service
  - systemd.target
  - systemd.socket
  - systemd.exec
  - systemd.resource-control
  - networkctl
  - timedatectl